use std::str::FromStr;

use hex_literal::hex;
use sp_core::H160;

use super::{hardhat::HardhatContract, Contract};

pub fn entrypoint_address() -> H160 {
    H160::from_str("0x81ead4918134AE386dbd04346216E20AB8F822C4")
        .expect("Correct H160 address, must not panic")
}

pub fn entrypoint_contract() -> Contract {
    Contract::Hardhat(HardhatContract { abi: vec![], bytecode: ENTRYPOINT_BYTECODE.to_vec() })
}

const ENTRYPOINT_BYTECODE: [u8; 16650] = hex!("[encoded data, 33300 characters]");
